Results 1 to 5 of 5

Thread: PackageKit Error repo-not-available

  1. #1

    Default PackageKit Error repo-not-available

    Hello all. Quickly; Coming from Fedora, I am new to openSUSE and I am currently trying out 11.2. So far so good until this morning when I encountered this error message.

    "PackageKit Error repo-not-available: File '/content' not found on medium 'http://download.opensuse.org/repositories/openSUSE:/11.2:/NonFree/standard/' "

    The system refuses to update or install anything now. Has anyone else seen this? Thanks in advance.

  2. #2
    lazerweb NNTP User

    Default Re: PackageKit Error repo-not-available

    I'm having the same problem! I am hoping its just because the server at suse is down...otherwise this is gonna be a real problem...can anyone advice on this please??????

  3. #3

    Thumbs up Re: PackageKit Error repo-not-available

    I had the same problem. It seems that one of the URLs to an online update repository is redirected to a different URL, an incorrect one. The new URL is one directory too deep, so it can't find the content file.

    To fix it, open YaST and open the Online Update Configuration app. If you get any messages about bad addresses, just click on SKIP. Click on the ADVANCED button, then select EDIT SOFTWARE REPOSITORIES. Find the OPENSUSE:11.2:NONFREE repository; it should have the following URL:
    download.opensuse.org/repositories/openSUSE:/11.2:/NonFree/standard/

    Click on EDIT and change change this to:
    download.opensuse.org/distribution/11.2/repo/non-oss/

    Ultimately the powers that be need to change the way the original URL is redirected, but I can't control that, so this will have to do.

  4. #4
    Join Date
    Nov 2009
    Location
    Detroit
    Posts
    15

    Default Re: PackageKit Error repo-not-available

    I had a similar problem with Yast that I posted about in a different thread. Maybe this will be of help...

    My problem: YAST is unable to update - Page 5 - openSUSE Forums

    My solution: YAST is unable to update - Page 5 - openSUSE Forums

  5. #5

    Talking Re: PackageKit Error repo-not-available

    Quote Originally Posted by 222BBakerSt View Post
    I had the same problem. It seems that one of the URLs to an online update repository is redirected to a different URL, an incorrect one. The new URL is one directory too deep, so it can't find the content file.

    To fix it, open YaST and open the Online Update Configuration app. If you get any messages about bad addresses, just click on SKIP. Click on the ADVANCED button, then select EDIT SOFTWARE REPOSITORIES. Find the OPENSUSE:11.2:NONFREE repository; it should have the following URL:
    download.opensuse.org/repositories/openSUSE:/11.2:/NonFree/standard/

    Click on EDIT and change change this to:
    download.opensuse.org/distribution/11.2/repo/non-oss/

    Ultimately the powers that be need to change the way the original URL is redirected, but I can't control that, so this will have to do.

    I had this problem too!!! Following the above procedure apparently fixed it

    Thanks for the tip

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •